SetUserInfo
Edits the user.
Allowed roles: Owner, Admin, User manager.
Example request: Edit the user password.
Authentication
AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value:
```
Authorization: Bearer $VOXIMPLANT_TOKEN
```
See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.
Query parameters
user_id
The user to edit. Required unless user_name is provided.
user_name
The user name. Required unless user_id is provided.
application_id
The application ID. It is required if the user_name is specified
application_name
The application name that can be used instead of application_id
new_user_name
The new user name in format [a-z0-9][a-z0-9_-]49
user_display_name
The new user display name. The length must be less than 256
user_password
The new user password. Must be at least 8 characters long and contain at least one uppercase and lowercase letter, one number, and one special character
parent_accounting
Whether to use the parent account's money, 'false' to use a separate user balance
user_active
Whether the user is active. Inactive users cannot log in to applications
user_custom_data
Any string
Response
Successful response
result
Returns 1 if the request has been completed successfully